
I don't think that managing artists is the way to go, but we need a direction to go in to accomplish these goals.

There's a bunch of themes to focus on, and we want to challenge the current meta, create our our peaceful one, and then experiment with that one too.


As such, there's a bucket for artists to put stuff in and create stuff with.
You might also like to bring people together in little collectives to build beautiful things.